System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.TextWriter

extends a by providing methods that insert a tab string and track the current indentation level. Text formatted with multiple indentation levels is useful for generated code, so this class is used by CodeDOM code generator implementations.

The tab string is the string that each indentation consists of. Typically the tab string contains white space.

This class contains a link demand and an inheritance demand at the class level that applies to all members. A is thrown when either the immediate caller or the derived class does not have full-trust permission. For details about security demands, see Link Demands and Inheritance Demands.

Provides a text writer that can indent new lines by a tab string token.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified text writer and default tab string.

  The to use for output.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified text writer and tab string.

  The to use for output.
  The tab string to use for indentation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Closes the document being written to.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The default tab string consists of a single white space. (" ")

  Specifies the default tab string. This field is constant.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.Encoding To be added: an object of type 'Text.Encoding' To be added

  Gets the encoding for the text writer to use.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This clears the stream of any data.

  Flushes the stream.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the number of spaces to indent.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.TextWriter To be added: an object of type 'IO.TextWriter' To be added

  Gets the to use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the new line character to use.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Outputs the tab string once for each level of indentation according to the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Boolean value to the text stream.

  The Boolean value to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes a character to the text stream.

  The character to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'char []' To be added

  Writes a character array to the text stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Double to the text stream.

  The double to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an integer to the text stream.

  The integer to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an 8-byte integer to the text stream.

  The 8-byte integer to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an object to the text stream.

  The object to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Single to the text stream.

  The single to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'string' To be added

  Writes the specified string to the text stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added

  Writes out a formatted string, using the same semantics as specified.

  The formatting string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `System.ParamArray` To be added. To be added

  Writes out a formatted string, using the same semantics as specified.

  The formatting string to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Writes a subarray of characters to the text stream.

  The character array to write data from. Starting index in the buffer. The number of characters to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Writes out a formatted string, using the same semantics as specified.

  The formatting string to use. The first object to write into the formatted string. The second object to write into the formatted string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Writes a line terminator.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Boolean, followed by a line terminator, to the text stream.

  The Boolean to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes a character, followed by a line terminator, to the text stream.

  The character to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'char []' To be added

  Writes a character array, followed by a line terminator, to the text stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Double, followed by a line terminator, to the text stream.

  The double to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an integer, followed by a line terminator, to the text stream.

  The integer to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an 8-byte integer, followed by a line terminator, to the text stream.

  The 8-byte integer to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of an object, followed by a line terminator, to the text stream.

  The object to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the text representation of a Single, followed by a line terminator, to the text stream.

  The single to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'string' To be added

  Writes the specified string, followed by a line terminator, to the text stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` To be added

  Writes the text representation of a UInt32, followed by a line terminator, to the text stream.

  A UInt32 to output.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added

  Writes out a formatted string, followed by a line terminator, using the same semantics as specified.

  The formatting string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `System.ParamArray` To be added. To be added

  Writes out a formatted string, followed by a line terminator, using the same semantics as specified.

  The formatting string to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Writes a subarray of characters, followed by a line terminator, to the text stream.

  The character array to write data from. Starting index in the buffer. The number of characters to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Writes out a formatted string, followed by a line terminator, using the same semantics as specified.

  The formatting string to use. The first object to write into the formatted string. The second object to write into the formatted string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'string' To be added

  Writes the specified string to a line without tabs.